Skip to main content
`Ctrl`+`K`

# pandas.api.types.is_any_real_numeric_dtype

pandas.api.types.is_any_real_numeric_dtype(arr_or_dtype)

  Check whether the provided array or dtype is of a real number dtype.

  Parameters:
    arr_or_dtype array-like or dtype

      The array or dtype to check.

  Returns:
    boolean

      Whether or not the array or dtype is of a real number dtype.

  Examples

      >>> from pandas.api.types import is_any_real_numeric_dtype
      >>> is_any_real_numeric_dtype(int)
      True
      >>> is_any_real_numeric_dtype(float)
      True
      >>> is_any_real_numeric_dtype(object)
      False
      >>> is_any_real_numeric_dtype(str)
      False
      >>> is_any_real_numeric_dtype(complex(1, 2))
      False
      >>> is_any_real_numeric_dtype(bool)
      False